import type { ExtractPropTypes } from 'vue';
export declare const calendarProps: {
    scopeName: {
        type: StringConstructor;
        require: boolean;
        default: string;
    };
    hasFootBtns: {
        type: BooleanConstructor;
        require: boolean;
        default: boolean;
    };
    useTransition: {
        type: BooleanConstructor;
        require: boolean;
        default: boolean;
    };
    usePropTime: {
        type: BooleanConstructor;
        require: boolean;
        default: boolean;
    };
    year: {
        type: NumberConstructor;
        require: boolean;
        default: number;
    };
    month: {
        type: NumberConstructor;
        require: boolean;
        default: number;
    };
    date: {
        type: NumberConstructor;
        require: boolean;
        default: number;
    };
};
export declare type calendarProps = ExtractPropTypes<typeof calendarProps>;
