declare type ClassName = string | undefined | null;
declare type Classes = (ClassName | [any, ClassName, ClassName?])[];
declare enum BEM_Linker {
    Block = "-",
    Element = "__",
    Modifier = "--"
}
export declare function createNamespace(name: string): {
    g: () => string;
    gb: (className: string) => Array<string> | null;
    ge: (className: string) => Array<string> | null;
    gm: (className: string) => Array<string> | null;
    gd: (text: string, parser: BEM_Linker) => number;
    e: (suffix?: string) => string;
    n: (suffix?: string) => string;
    classes: (...classes: Classes) => any[];
};
export {};
